curl --request GET \
--url https://www.ruddr.io/api/workspace/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "572e66b1-60a6-4935-853f-b59b053112e6",
"key": "website-redesign",
"name": "Website Redesign",
"notes": "Full redesign of the public-facing marketing website.",
"accountingNotes": "Internal billing contact is accounts-payable@acme.com; net-45 terms.",
"statusId": "completed",
"start": "2025-03-01",
"end": "2025-09-30",
"code": "WR-001",
"poNumber": "PO-2025-001",
"billingTypeId": "fixed",
"isBillable": true,
"currency": "USD",
"revenueRecognitionMethod": "invoiced",
"revenueAttributionMethod": "tm_basis",
"fixedFee": null,
"fixedRecurringFee": null,
"fixedRecurringStart": null,
"fixedRecurringEnd": null,
"useRoles": true,
"useDependencies": true,
"autoCompleteMilestones": true,
"useBudget": true,
"budgetMode": "detailed",
"useMonthlyBudget": true,
"monthlyBudgetMode": "summary",
"capMaxMemberHoursPerDay": true,
"maxMemberHoursPerDay": 8,
"capMaxMemberHoursPerWeek": true,
"maxMemberHoursPerWeek": 40,
"capMaxMemberHoursPerMonth": true,
"maxMemberHoursPerMonth": 160,
"requiresNotes": true,
"requiresTasks": false,
"recordStatusId": "active",
"isProductive": true,
"lockTimeAndExpenses": false,
"trackTimeToAssignedRoles": true,
"restrictTimeToAllocatedDays": true,
"cloudFolderUrl": "https://drive.google.com/drive/folders/abc123",
"createdAt": "2025-01-15T20:47:03.284Z",
"completedOn": "2026-03-15",
"client": {
"id": "9b577a12-dd68-4df6-9f48-d8071684bfca",
"name": "Acme Corp"
},
"practice": {
"id": "9bb7965e-991f-451c-9ea6-94f9ff180258",
"name": "Digital Strategy"
},
"projectType": {
"id": "1be77fb4-6300-4db7-ad3f-c960083f5433",
"name": "Web Development"
},
"projectGroup": {
"id": "bacffeea-24de-441c-b770-9219516f4034",
"name": "Q1 Initiatives"
},
"tags": [
{
"id": "9166a6d1-dbc6-43b5-abcf-450cbfcfd891",
"name": "High Priority"
}
],
"salesRepresentative": {
"id": "d1980029-6c43-4af9-88ac-7b9066944f34",
"name": "Jane Smith"
},
"businessUnit": {
"id": "de116c6c-665e-4ce0-bf49-d77103f55095",
"name": "Engineering"
},
"budget": {
"revenue": 165000,
"servicesRevenue": 140000,
"productRevenue": 15000,
"otherRevenue": 10000,
"billableExpenses": 5000,
"nonBillableExpenses": 2000,
"billableHours": 1400,
"nonBillableHours": 200
},
"monthlyBudget": {
"revenue": 27500,
"servicesRevenue": 23000,
"productRevenue": 2500,
"otherRevenue": 2000,
"billableExpenses": 800,
"nonBillableExpenses": 300,
"billableHours": 230,
"nonBillableHours": 40
},
"integrations": [
{
"type": "qbo",
"connectionId": "c4a7e2f9-83b1-4d65-9e07-2f1b6a4c80d3",
"externalId": "456"
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}List projects
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A client ID (uuid) used to filter projects for a specific client.
A project code to filter projects by code.
A project type ID (uuid) used to filter projects for a specific project type.
Filter by project status.
tentative, not_started, in_progress, paused, completed, cancelled Filter by project name when it exactly matches the provided keyword.
Filter by project name when it contains the provided keyword.
Filter by project name when it starts with the provided keyword.
Filter by project name when it ends with the provided keyword.
Filter by PO number when it contains the provided value (case-insensitive).